
// Compare2DDlg.h: 头文件
//

#pragma once


// CCompare2DDlg 对话框
class CCompare2DDlg : public CDialogEx
{
// 构造
public:
	CCompare2DDlg(CWnd* pParent = nullptr);	// 标准构造函数

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_MY_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	void FormMessageInit();

	WORD cardConnectNo; //连接卡号

	CComboBox axis0;
	CComboBox source0;
	CComboBox cmpMode0;

	double cmpPos0;

	CComboBox axis1;
	CComboBox source1;
	CComboBox cmpMode1;

	double cmpPos1;

	CComboBox triggerMode;
	CComboBox triggerPrm;

	double ioOutTime;
	afx_msg void OnCbnSelchangeCombo7();
	afx_msg void OnBnClickedButton4();
	CStatic groupBoxAxis0;
	CStatic groupBoxAxis1;
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT_PTR nIDEvent);

	CStatic output0State;
	CStatic output1State;
};
